For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Details
              • PUTUpdate Company Role
              • DELDelete Company Role
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompany Roles and Permissions

Update Company Role

PUT
https://api-b2b.bigcommerce.com/api/v3/io/companies/roles/:roleId
PUT
/api/v3/io/companies/roles/:roleId
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/companies/roles/123456 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "io test",
> "permissions": [
> {
> "code": "get_addresses",
> "permissionLevel": 2
> }
> ]
>}'
200Example 1
1{
2 "code": 200,
3 "data": {
4 "id": 1,
5 "name": "Procurement Manager",
6 "roleType": 2,
7 "roleLevel": 1,
8 "permissions": [
9 {
10 "id": 1,
11 "code": "get_addresses",
12 "permissionLevel": 2
13 }
14 ]
15 },
16 "meta": {
17 "message": "SUCCESS"
18 }
19}
Updates the name and permissions of a custom Company user role. You cannot update predefined roles. When formatting the request body, you must add all permissions that you wish to keep in the role, including its existing permissions. See [Permission Codes](/developer/api-reference/rest/b2b/management/company/companies#permission-codes) for a list of predefined permission `name` and `code` values.
Was this page helpful?
Previous

Get Company Role Details

Next

Delete Company Role

Built with

Updates the name and permissions of a custom Company user role. You cannot update predefined roles.

When formatting the request body, you must add all permissions that you wish to keep in the role, including its existing permissions. See Permission Codes for a list of predefined permission name and code values.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

roleIdintegerRequired
The unique identifier for a Company user role.

Request

This endpoint expects an object.
namestringRequired<=200 characters
The name of the Company user role. This name is visible to system users and Company users.
permissionslist of objectsRequired

Response

OK
codeinteger
dataobject
metaobject
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.